Debian Bug report logs - #720430
msva-perl: FTBFS with perl 5.18: POD failure

version graph

Package: src:msva-perl; Maintainer for src:msva-perl is Daniel Kahn Gillmor <dkg@fifthhorseman.net>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Wed, 21 Aug 2013 18:12:01 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version msva-perl/0.9.1-1

Fixed in version msva-perl/0.9.1-1.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#720430; Package src:msva-perl. (Wed, 21 Aug 2013 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>. (Wed, 21 Aug 2013 18:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: msva-perl: FTBFS with perl 5.18: POD failure
Date: Wed, 21 Aug 2013 19:08:38 +0100
Source: msva-perl
Version: 0.9.1-1
Severity: serious
Justification: transition imminent
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition
Tags: sid jessie

This package FTBFS with perl 5.18:

pod2man msva-perl msva-perl.1
msva-perl around line 161: Non-ASCII character seen before =encoding in '<A9>'. 
Assuming UTF-8
POD document had syntax errors at /usr/bin/pod2man line 71.
make[1]: *** [msva-perl.1] Error 255

Please ask debian-perl@lists.debian.org if you need help with preparing
or testing a change; if you have a suitable test i386 system you can
install perl 5.18 by adding experimental to your sources as well as the
repository at <http://people.debian.org/~dom/perl/test/perl-5.18.0/>

You can also find more about the perl 5.18 transition, which we hope
to start this week[1], at <http://bugs.debian.org/712615>.

Thanks for your work!

Cheers,
Dominic.

[1] apologies for the late appearance of this bug report; earlier
test coverage did not cover this package



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#720430; Package src:msva-perl. (Fri, 23 Aug 2013 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>. (Fri, 23 Aug 2013 13:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 720430@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 720430@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#720430: msva-perl: FTBFS with perl 5.18: POD failure
Date: Fri, 23 Aug 2013 15:33:14 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 + patch

On Wed, 21 Aug 2013 19:08:38 +0100, Dominic Hargreaves wrote:

> pod2man msva-perl msva-perl.1
> msva-perl around line 161: Non-ASCII character seen before =encoding in '<A9>'. 
> Assuming UTF-8
> POD document had syntax errors at /usr/bin/pod2man line 71.
> make[1]: *** [msva-perl.1] Error 255

Patch attached that adds the now needed =encoding.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Joe Cocker: Jamaica Say You Will
[720430.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to 720430-submit@bugs.debian.org. (Fri, 23 Aug 2013 13:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#720430; Package src:msva-perl. (Fri, 30 Aug 2013 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>. (Fri, 30 Aug 2013 15:45:04 GMT) Full text and rfc822 format available.

Message #17 received at 720430@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 720430@bugs.debian.org
Subject: msva-perl: diff for NMU version 0.9.1-1.1
Date: Fri, 30 Aug 2013 17:41:31 +0200
[Message part 1 (text/plain, inline)]
tags 720430 + pending
thanks

Dear maintainer,

I've prepared an NMU for msva-perl (versioned as 0.9.1-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Kurt Ostbahn & Die Kombo: Geht da daham wos o
[msva-perl-0.9.1-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 30 Aug 2013 15:45:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 01 Sep 2013 16:06:10 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 16:06:10 GMT) Full text and rfc822 format available.

Message #24 received at 720430-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 720430-close@bugs.debian.org
Subject: Bug#720430: fixed in msva-perl 0.9.1-1.1
Date: Sun, 01 Sep 2013 16:04:13 +0000
Source: msva-perl
Source-Version: 0.9.1-1.1

We believe that the bug you reported is fixed in the latest version of
msva-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720430@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated msva-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 30 Aug 2013 17:38:58 +0200
Source: msva-perl
Binary: msva-perl
Architecture: source all
Version: 0.9.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 msva-perl  - Cryptographic identity validation agent (Perl implementation)
Closes: 720430
Changes: 
 msva-perl (0.9.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS with perl 5.18: POD failure":
     add patch to add encoding to POD.
     (Closes: #720430)
Checksums-Sha1: 
 78f7e5bc4444d3219a10b93819b8d86c12d74dab 1819 msva-perl_0.9.1-1.1.dsc
 4f2f3dd8509969d0d7c94f6c9dedbcf09449ac07 4020 msva-perl_0.9.1-1.1.debian.tar.gz
 ef48324f8cd1947dac9944671d95846c4a3e497e 39948 msva-perl_0.9.1-1.1_all.deb
Checksums-Sha256: 
 64fe5efc629f946131b5888b7101a511e0f5fb2b3d95608cdd72c7c14ceef0ec 1819 msva-perl_0.9.1-1.1.dsc
 533b7b6aed1bea828a48f7712f3e046f008a5fa34a6dda967686868247bcf774 4020 msva-perl_0.9.1-1.1.debian.tar.gz
 73f054887cad86447d613cfcef5d03800a4ede665cd597624c30eeb11b26c8f0 39948 msva-perl_0.9.1-1.1_all.deb
Files: 
 09500a8a433e4ac5fe7a75253007444f 1819 net extra msva-perl_0.9.1-1.1.dsc
 ef0d5c5b604601814e7cb603dc9bda54 4020 net extra msva-perl_0.9.1-1.1.debian.tar.gz
 179fac3b6358ca40a7a87eb3f0457b25 39948 net extra msva-perl_0.9.1-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSILynAAoJELs6aAGGSaoG/X8P/2wmieESzTjm4wkMY0qek59b
UMnoZlyt5+hLFTnLzGFNwoAMaQBFh3238CvvUlZasTRyj4IiL43vwvhEmfCdqP+4
hZnOKnzVOk1EU9y6uTpGwETYh7Fg6z+tviokucPNtDWiSU4qxB2hlSYa56HsI5HD
hfSTaAdG/UOGwN/1MKNRXsHpPzkcbg289OsS40C4lg/skRUOhGd9DZiNNnItMZx7
EjSfPrEc213DpuL9bN3EHJGgD4myCgjFRAbiACk5Uhi+cas4kaMkwOMLutQRNNUH
UQY2z05QfImk1Fwq/H/7IHeu/mqRdkofL7J1qM1u4dii/MnJY8Nts9XfjmM2TGDj
UF5vtLxktY1bOnWbSdVecMgT+q/1lvQ+DUekjg27QjhBeb8xios38rcyRL+zjT2N
SWu2Ewc0hXXh2Nx/Ej6UB7m5tt91kbdZTQz2eGybpzwWPs0vvX38mahcj6vJnC9w
Chxya+HI6A8V9/4NzQAfyCAtWNySNQUOxw5D7oFXBHeVqmjzWwGtX2xt0nz27wwy
obMPrU8WyEBByuW5lz4mrRZ+jK7FF1w1tyZVmDk2aZBMutycI4UYAxPgULvmO09X
Oh/aQ3ezxeivtAhGMCRsFqXoDZfsgfEZRR8AEt4R5LmtAPy64edmYwuNemSnJNNC
v6dPzDVgJAdYmc8XQvXI
=rW+X
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Oct 2013 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:41:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.